// Code generated by mockery v2.10.2. DO NOT EDIT.

package mocks

import (
	models "bots-ms/models"

	mock "github.com/stretchr/testify/mock"
)

// StoredMessagesRepository is an autogenerated mock type for the StoredMessagesRepository type
type StoredMessagesRepository struct {
	mock.Mock
}

// Create provides a mock function with given fields: item
func (_m *StoredMessagesRepository) Create(item *models.StoredMessage) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.StoredMessage) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Delete provides a mock function with given fields: item
func (_m *StoredMessagesRepository) Delete(item *models.StoredMessage) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.StoredMessage) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Get provides a mock function with given fields: id
func (_m *StoredMessagesRepository) Get(id uint) (*models.StoredMessage, error) {
	ret := _m.Called(id)

	var r0 *models.StoredMessage
	if rf, ok := ret.Get(0).(func(uint) *models.StoredMessage); ok {
		r0 = rf(id)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.StoredMessage)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint) error); ok {
		r1 = rf(id)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}
